# \SettingsAPI

All URIs are relative to *https://rewards.slace.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetAvailableActions**](SettingsAPI.md#GetAvailableActions) | **Get** /settings/organizations/{organizationId}/available-actions | Get available actions for organization



## GetAvailableActions

> AvailableActionsResponse GetAvailableActions(ctx, organizationId).Execute()

Get available actions for organization

### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "bitbucket.org/_SLACE_/clients/go/rewardsapi"
)

func main() {
    organizationId := "organizationId_example" // string | 

    configuration := openapiclient.NewConfiguration()
    apiClient := openapiclient.NewAPIClient(configuration)
    resp, r, err := apiClient.SettingsAPI.GetAvailableActions(context.Background(), organizationId).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `SettingsAPI.GetAvailableActions``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `GetAvailableActions`: AvailableActionsResponse
    fmt.Fprintf(os.Stdout, "Response from `SettingsAPI.GetAvailableActions`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**organizationId** | **string** |  | 

### Other Parameters

Other parameters are passed through a pointer to a apiGetAvailableActionsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


### Return type

[**AvailableActionsResponse**](AvailableActionsResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

